package com.rit.ems.repository;

import com.rit.ems.model.Registration;
import org.springframework.data.jpa.repository.JpaRepository;
import java.util.List;
import java.util.Optional;

public interface RegistrationRepository extends JpaRepository<Registration, String> {
    List<Registration> findByUserId(Long userId);
    List<Registration> findByEventId(Long eventId);
    List<Registration> findByTeamCode(String teamCode);
    Optional<Registration> findByUserIdAndEventId(Long userId, Long eventId);
}
